-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009, 2010, 2011 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

-- Cunning talents
newTalentType{ allow_random=true, type="cunning/stealth-base", name = "潜行系", description = "使你的角色进入潜行。" }
newTalentType{ allow_random=true, type="cunning/stealth", name = "潜行系", description = "使你的角色进入潜行。" }
newTalentType{ allow_random=true, type="cunning/trapping", name = "陷阱系", description = "学习装置各种陷阱的技术。" }
newTalentType{ allow_random=true, type="cunning/traps", name = "陷阱系", description = "已知陷阱的集合。" }
newTalentType{ allow_random=true, type="cunning/poisons", name = "毒系", min_lev = 10, description = "关于毒物的知识，并使毒素效果更有效。" }
newTalentType{ allow_random=true, type="cunning/poisons-effects", name = "毒系", description = "已知毒素的集合。" }
newTalentType{ allow_random=true, type="cunning/dirty", name = "卑劣攻击系", description = "使你学会令你目标致残的技能。" }
newTalentType{ allow_random=true, type="cunning/lethality", name = "致命攻击系", description = "让你的目标尝尝什么是真正的痛苦。。。" }
newTalentType{ allow_random=true, type="cunning/shadow-magic", name = "影之秘法系", description = "影子与魔法的混合。" }
newTalentType{ allow_random=true, type="cunning/ambush", name = "伏击系", min_lev = 10, description = "在黑暗中操控阴影的法术。" }
newTalentType{ allow_random=true, type="cunning/survival", name = "生存系", generic = true, description = "让你认识到世界中的各种危险，并学会如何有效避免它们。" }
newTalentType{ allow_random=true, type="cunning/tactical", name = "战术系", description = "战斗与战术技巧。" }

-- Generic requires for cunning based on talent level
cuns_req1 = {
	stat = { cun=function(level) return 12 + (level-1) * 2 end },
	level = function(level) return 0 + (level-1)  end,
}
cuns_req2 = {
	stat = { cun=function(level) return 20 + (level-1) * 2 end },
	level = function(level) return 4 + (level-1)  end,
}
cuns_req3 = {
	stat = { cun=function(level) return 28 + (level-1) * 2 end },
	level = function(level) return 8 + (level-1)  end,
}
cuns_req4 = {
	stat = { cun=function(level) return 36 + (level-1) * 2 end },
	level = function(level) return 12 + (level-1)  end,
}
cuns_req5 = {
	stat = { cun=function(level) return 44 + (level-1) * 2 end },
	level = function(level) return 16 + (level-1)  end,
}
cuns_req_high1 = {
	stat = { cun=function(level) return 22 + (level-1) * 2 end },
	level = function(level) return 10 + (level-1)  end,
}
cuns_req_high2 = {
	stat = { cun=function(level) return 30 + (level-1) * 2 end },
	level = function(level) return 14 + (level-1)  end,
}
cuns_req_high3 = {
	stat = { cun=function(level) return 38 + (level-1) * 2 end },
	level = function(level) return 18 + (level-1)  end,
}
cuns_req_high4 = {
	stat = { cun=function(level) return 46 + (level-1) * 2 end },
	level = function(level) return 22 + (level-1)  end,
}
cuns_req_high5 = {
	stat = { cun=function(level) return 54 + (level-1) * 2 end },
	level = function(level) return 26 + (level-1)  end,
}

load("/data/talents/cunning/stealth.lua")
load("/data/talents/cunning/traps.lua")
load("/data/talents/cunning/poisons.lua")
load("/data/talents/cunning/dirty.lua")
load("/data/talents/cunning/lethality.lua")
load("/data/talents/cunning/tactical.lua")
load("/data/talents/cunning/survival.lua")
load("/data/talents/cunning/shadow-magic.lua")
load("/data/talents/cunning/ambush.lua")
